import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("dispo_difference_section")
export class DispoDifferenceSectionEntity extends CoreEntity {
    @Column({ default: null, nullable: true })
    title: string;

    @Column({ default: null, type: "longtext", nullable: true })
    description: string;

    @Column({ default: null, nullable: true })
    image: string;

    @Column({ default: null, nullable: true })
    link: string;
}
