import { Module } from "@nestjs/common";
import { CheckoutService } from "./checkout.service";
import { CheckoutController } from "./checkout.controller";
import { TypeOrmModule } from "@nestjs/typeorm";
import { RetailerServiceRepository } from "../custom/retailer-service/retailer-service.repository";

@Module({
    imports: [
        TypeOrmModule.forFeature([
            RetailerServiceRepository
        ])
    ],
    controllers: [CheckoutController],
    providers: [CheckoutService]
})
export class CheckoutModule {
}
