import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("product_service")
export class ProductService extends CoreEntity {
    @Column({ default: null, nullable: true })
    retailerId: string;

    @Column({ default: null, nullable: true })
    retailerName: string;

    @Column({ default: null, nullable: true })
    productId: string;

    @Column({ default: null, nullable: true })
    productName: string;

    @Column({ default: null, nullable: true })
    productSlug: string;

    @Column({ default: null, nullable: true })
    image: string;

    @Column({ default: null, nullable: true })
    brandName: string;

    @Column({ default: null, nullable: true })
    category: string;

    @Column({ default: null, nullable: true })
    subCategory: string;

    @Column({ default: null, nullable: true })
    strainType: string;

    @Column({ default: null, nullable: true })
    variants: number;
}
